Product comparison · 2 ip phones

Yealink T42S Skype for Business Edition vs Yealink T48S Skype for Business Edition

Add a product
  • 52specifications compared
  • 15differ
  • 37identical
  • 44known for one product only

Key differences

The Yealink T48S Skype for Business Edition has 0.8 A more AC adapter output current than the Yealink T42S Skype for Business Edition (2 A vs 1.2 A). The Yealink T48S Skype for Business Edition has 3.5 W more power consumption (typical) than the Yealink T42S Skype for Business Edition (4.9 W vs 1.4 W). The Yealink T48S Skype for Business Edition has 54 mm more width than the Yealink T42S Skype for Business Edition (266 mm vs 212 mm). Only the Yealink T48S Skype for Business Edition has touchscreen. Product colour: Black, Silver on the Yealink T42S Skype for Business Edition, Black on the Yealink T48S Skype for Business Edition.

  • Product colour
    • T42S Skype for Business Edition:Black, Silver
    • T48S Skype for Business Edition:Black
  • Display diagonal
    • T42S Skype for Business Edition:6.86 cm (2.7")
    • T48S Skype for Business Edition:17.8 cm (7")
  • Display resolution
    • T42S Skype for Business Edition:192 x 64 pixels
    • T48S Skype for Business Edition:800 x 480 pixels
  • Touchscreen
    • T42S Skype for Business Edition:No
    • T48S Skype for Business Edition:Yes
  • Security algorithms
    • T42S Skype for Business Edition:802.1x RADIUS, HTTPS
    • T48S Skype for Business Edition:HTTPS, MD5, SRTP, TLS
  • AC adapter output current
    • T42S Skype for Business Edition:1.2 A
    • T48S Skype for Business Edition:2 A
  • Power consumption (typical)
    • T42S Skype for Business Edition:1.4 W
    • T48S Skype for Business Edition:4.9 W
  • Width
    • T42S Skype for Business Edition:212 mm
    • T48S Skype for Business Edition:266 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of T42S Skype for Business Edition, T48S Skype for Business Edition
96 specifications
Design1 differ
Product colourDiffersBlack, SilverBlack
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Compatible productsKnown for oneUnknown — not stated by the sourceSkype for Business
Data transfer rateKnown for one1000 Mbit/sUnknown — not stated by the source
Phone featuresidentical
Common area phone (CAP)Known for oneUnknown — not stated by the sourceYes
Hot deskingKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Edit user status on the phoneKnown for oneYesUnknown — not stated by the source
Display contacts list statusKnown for oneYesUnknown — not stated by the source
Plug and PlayKnown for oneYesUnknown — not stated by the source
Display3 differ
Display diagonalDiffers6.86 cm (2.7")17.8 cm (7")
Display resolutionDiffers192 x 64 pixels800 x 480 pixels
TouchscreenDiffersNoYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Graphical user interface (GUI) languageKnown for oneUnknown — not stated by the sourceMulti
DisplayKnown for oneLCDUnknown — not stated by the source
Display number of coloursKnown for oneMonochromeUnknown — not stated by the source
Audio1 differ
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersAJB, CNG, G.711, G.722, G.723, G.726, G.729A, G.729B, PLC, VAD, iLBCAGC, AJB, CNG, G.711alaw, G.711ulaw, G.722, G.723.1, G.726, G.729A, G.729B, PLC, Silk, VAD, iLBC
Network2 differ
Ethernet LAN interface typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet
Security algorithmsDiffers802.1x RADIUS, HTTPSHTTPS, MD5, SRTP, TLS
Supported network protocolsDiffersSIP v1 (RFC2543), v2 (RFC3261), IPv4/IPv6SIP v1 (RFC2543), v2 (RFC3261), LLDP-MED VLAN, IPv4/IPv6, UDP/TCP/DNS-SRV (RFC 3263)
Ethernet LAN data ratesKnown for one10,100,1000 Mbit/sUnknown — not stated by the source
SyslogKnown for oneYesUnknown — not stated by the source
Ports & interfacesidentical
Expansion module supportKnown for oneUnknown — not stated by the sourceYes
Headset connectivityKnown for oneRJ-9Unknown — not stated by the source
Internet connection requiredKnown for oneYesUnknown — not stated by the source
Power2 differ
AC adapter output currentDiffers1.2 A2 A
Power consumption (typical)Differs1.4 W4.9 W
Power consumption (Power over Ethernet (PoE))Known for oneUnknown — not stated by the source7.5 W
Operational conditionsidentical
Storage temperature (T-T)Known for oneUnknown — not stated by the source-10 - 50 °C
Operating temperature (T-T)Known for one-10 - 50 °CUnknown — not stated by the source
Weight & dimensions6 differ
WidthDiffers212 mm266 mm
DepthDiffers189 mm226 mm
HeightDiffers175 mm185 mm
Package widthDiffers246 mm263 mm
Package depthDiffers223 mm324 mm
Package heightDiffers120 mm128 mm
WeightKnown for one6.4 kgUnknown — not stated by the source
Package weightKnown for one7 kgUnknown — not stated by the source
Packaging contentidentical
HandsetKnown for oneUnknown — not stated by the sourceYes
Quick start guideKnown for oneUnknown — not stated by the sourceYes
Stand includedKnown for oneUnknown — not stated by the sourceYes
Analog line cableKnown for oneYesUnknown — not stated by the source
Base stationKnown for oneYesUnknown — not stated by the source
Ethernet cableKnown for oneYesUnknown — not stated by the source
ManualKnown for oneYesUnknown — not stated by the source
Logistics dataidentical
Master (outer) case gross weightKnown for oneUnknown — not stated by the source9 kg
Master (outer) case heightKnown for oneUnknown — not stated by the source338 mm
Master (outer) case lengthKnown for oneUnknown — not stated by the source338 mm
Master (outer) case net weightKnown for oneUnknown — not stated by the source8.2 kg
Master (outer) case widthKnown for oneUnknown — not stated by the source660 mm
Products per master (outer) caseKnown for oneUnknown — not stated by the source5 pc(s)

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons